'use strict';

var _utilHelpers = require('./util/helpers');

(0, _utilHelpers.test)('id selector', '#one', function (t, tree) {
    t.plan(2);
    t.equal(tree.selectors[0].rules[0].value, 'one');
    t.equal(tree.selectors[0].rules[0].type, 'id');
});

(0, _utilHelpers.test)('id and class names mixed', '#one.two.three', function (t, tree) {
    t.plan(6);
    t.equal(tree.selectors[0].rules[0].value, 'one');
    t.equal(tree.selectors[0].rules[1].value, 'two');
    t.equal(tree.selectors[0].rules[2].value, 'three');

    t.equal(tree.selectors[0].rules[0].type, 'id');
    t.equal(tree.selectors[0].rules[1].type, 'class');
    t.equal(tree.selectors[0].rules[2].type, 'class');
});

(0, _utilHelpers.test)('qualified id', 'button#one', function (t, tree) {
    t.plan(2);
    t.equal(tree.selectors[0].rules[0].type, 'tag');
    t.equal(tree.selectors[0].rules[1].type, 'id');
});

(0, _utilHelpers.test)('qualified id & class name', 'h1#one.two', function (t, tree) {
    t.plan(3);
    t.equal(tree.selectors[0].rules[0].type, 'tag');
    t.equal(tree.selectors[0].rules[1].type, 'id');
    t.equal(tree.selectors[0].rules[2].type, 'class');
});